% -----------------------------------------------------------------------------------
% Copyright (c) <2016>, <Information-technology Promotion Agency, Japan>
% All rights reserved.
% 
% Redistribution and use in source and binary forms, with or without modification,
% are permitted provided that the following conditions are met:
% 
% 1. Redistributions of source code must retain the above copyright notice,
%    this list of conditions and the following disclaimer.
% 
% 2. Redistributions in binary form must reproduce the above copyright notice,
%    this list of conditions and the following disclaimer in the documentation
%    and/or other materials provided with the distribution.

% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
% ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
% WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
% IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
% INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
% BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
% DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
% LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
% OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
% ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
% -----------------------------------------------------------------------------------
%% drawInfo pl`
% mimic̉EɊe탉v\AэXV܂B
%%
classdef drawInfo
    %%
    %%% vpeB(ǂݎp)
    properties(Constant)
        % pl̍WAѕȀ
        ipX = common.baseX + 145;
        ipY = common.baseY - 50;
        ipW = 50;
        ipH = 50;
    end
    %% ÓI\bh
    methods(Static)
        %% drawMain() `s
        function drawMain()
            % pl̗n`
            common.fillBox(drawInfo.ipX, drawInfo.ipY, drawInfo.ipW, drawInfo.ipH, common.colorW);
            global animState_Info;
            % uSn쓮vڂ`
            draw_Circle(drawInfo.ipX+7, drawInfo.ipY+45, 3   ,common.colorK).fillCircle;
            animState_Info.Emergency = draw_Circle(drawInfo.ipX+7, drawInfo.ipY+45, 2.7 ,common.colorGray).setEdgeColor(common.colorK).fillCircle;
            text(drawInfo.ipX+13, drawInfo.ipY+45, 'Sn쓮', 'FontWeight', 'bold', 'FontUnits', 'normalized', 'FontSize', 0.036);
            
            % uɘan쓮vڂ`
            draw_Circle(drawInfo.ipX+7, drawInfo.ipY+32, 3   ,common.colorK).fillCircle;
            animState_Info.Mitigate = draw_Circle(drawInfo.ipX+7, drawInfo.ipY+32, 2.7 ,common.colorGray).setEdgeColor(common.colorK).fillCircle;
            text(drawInfo.ipX+13, drawInfo.ipY+32, 'ɘan쓮', 'FontWeight', 'bold', 'FontUnits', 'normalized', 'FontSize', 0.036);
            
            % u~vڂ`
            draw_Circle(drawInfo.ipX+7, drawInfo.ipY+19, 3   ,common.colorK).fillCircle;
            animState_Info.Stop = draw_Circle(drawInfo.ipX+7, drawInfo.ipY+19, 2.7 ,common.colorGray).setEdgeColor(common.colorK).fillCircle;
            text(drawInfo.ipX+13, drawInfo.ipY+19, '~', 'FontWeight', 'bold', 'FontUnits', 'normalized', 'FontSize', 0.036);
            
            % u^]vڂ`
            draw_Circle(drawInfo.ipX+7, drawInfo.ipY+ 6, 3   ,common.colorK).fillCircle;
            animState_Info.Running = draw_Circle(drawInfo.ipX+7, drawInfo.ipY+ 6, 2.7 ,common.colorGray).setEdgeColor(common.colorK).fillCircle;
            text(drawInfo.ipX+13, drawInfo.ipY+ 6, '^]', 'FontWeight', 'bold', 'FontUnits', 'normalized', 'FontSize', 0.036);
        end
        
        %% hndr = animMain(startup, emergency, mitigation) f̎擾lɊÂ\̍XVsB
        %  
        %    startup        FN/~
        %    emergency      FSn쓮
        %    mitigation     Fɘan쓮
        function hndr = animMain(startup, emergency, mitigation)
            hndr_anim = 0;
            global animState_Info;
            
            % startupmFB
            if startup == 1
                % startup ==1 ̏ꍇ͉^]v(FFVA)_
                set(animState_Info.Stop,'FaceColor',common.colorGray);
                set(animState_Info.Running,'FaceColor',common.colorC);
            else
                % ȊȌꍇ͒~v(FFO[)_
                set(animState_Info.Stop,'FaceColor',common.colorG);
                set(animState_Info.Running,'FaceColor',common.colorGray);
            end
            % Sn_
            if emergency == 1
                % Sn쒆̏ꍇAv(FF)_
                set(animState_Info.Emergency,'FaceColor',common.colorR);
            else
                set(animState_Info.Emergency,'FaceColor',common.colorGray);
            end
            % ɘan_
            if mitigation == 1
                % ɘan쒆̏ꍇAv(FFIW)_
                set(animState_Info.Mitigate,'FaceColor',common.colorOrange);
            else
                set(animState_Info.Mitigate,'FaceColor',common.colorGray);
            end
            hndr = hndr_anim;
        end
    end
end

