% -----------------------------------------------------------------------------------
% Copyright (c) <2016>, <Information-technology Promotion Agency, Japan>
% All rights reserved.
% 
% Redistribution and use in source and binary forms, with or without modification,
% are permitted provided that the following conditions are met:
% 
% 1. Redistributions of source code must retain the above copyright notice,
%    this list of conditions and the following disclaimer.
% 
% 2. Redistributions in binary form must reproduce the above copyright notice,
%    this list of conditions and the following disclaimer in the documentation
%    and/or other materials provided with the distribution.

% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
% ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
% WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
% IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
% INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
% BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
% DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
% LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
% OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
% ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
% -----------------------------------------------------------------------------------
function drawAnim_main( input_args )
%DRAWANIM_MAIN ̊֐̊TvɋLq
%   ڍאɋLq
upflag = 0;

% ԏ
currentTime = input_args(1);
% ȉA~~bÑ|vx/ou\p
PumpSpeed   = input_args(3);
L1Alert     = input_args(6);
L1Alarm     = input_args(7);
FV2         = input_args(9:10);
SV3         = input_args(11:12);
CV1         = input_args(13:14);
SV1         = input_args(15:16);
SV2         = input_args(17:18);
EV2         = input_args(19:20);
EV1         = input_args(21:22);
startup     = input_args(23);
emergency   = input_args(24);
mitiManual  = input_args(25);
mitigation  = input_args(26);

% ȉAOt\p
L1          = input_args(4);
L2          = input_args(2);
Flow        = input_args(5);
CV1Pos      = input_args(8);

%uN\pB\2:\1̃[gő삷B
global systemState;
if mod(round(currentTime),6) >= 4
    systemState.blinkState = 1;
else
    systemState.blinkState = 0;
end
mitiTest;
% vgfNĂ邩ANԂL^Ă邩mFB
if isfield(systemState, 'startTime')
    % NĂANԂL^ĂȂꍇ́AݎԂL^B
    if systemState.startTime == -1 && startup==1
        systemState.startTime = currentTime;
    end
else
    % NԂi[O[oϐ݂ȂꍇA-1B
    systemState.startTime = -1;
end

try
    delete(systemState.hndr_anim);
end

%  Axes1ɕ`悷
set(evalin('base', 'gcf0'), 'CurrentAxes', evalin('base', 'gca0'));

% t[g̏ɐ`悵̂ŁAt[g̕`ɍsB
systemState.hndr_anim = [...
    drawFloat.animMain,...  % t[g
    drawTank.animMain,...   % ^N
    ];

drawPump.drawBlade(PumpSpeed);                                      % |v
drawInfo.animMain(startup, emergency, mitigation);                  % pl
drawValve.animMain([CV1,SV1,SV2,SV3,FV2,EV1,EV2]);                  % ou

% PID䂪n܂ZT[\B
drawSensor.animFlow(common.getModelOutData(common.modelName_PID));  % PID

% ً}~ԂŃ^N1/2̐ʂ0ł΋ً}~
global buttonHandler;
fValue1 = common.getModelOutData(common.modelName_Tnk1);
fValue2 = common.getModelOutData(common.modelName_Tnk2);
if fValue1 <= 0 && fValue2 <= 0 && startup == 0 && emergency ~= 0
    assignin('base', 'mitigate1', 0);
    assignin('base', 'mitigate2', 0);
    assignin('base', 'emergency', 0);
    set(buttonHandler.start, 'Enable', 'on');
    set(buttonHandler.stop, 'Enable', 'off');
    set(buttonHandler.Mitigation, 'Enable', 'on');
    set(buttonHandler.Emergency, 'Enable', 'on');
    upflag = 1;
end

%̏͋[
if exec_faultSimulation.main(currentTime) == 1
    upflag = 1;
end

if systemState.startTime ~= -1
    drawGraph().main( currentTime - systemState.startTime, [L1 L2 Flow CV1Pos]);   % Ot/
    drawnow update;
end
%tic
if upflag == 1
    set_param(bdroot,'SimulationCommand','update');
end
%toc
end