% -----------------------------------------------------------------------------------
% Copyright (c) <2016>, <Information-technology Promotion Agency, Japan>
% All rights reserved.
% 
% Redistribution and use in source and binary forms, with or without modification,
% are permitted provided that the following conditions are met:
% 
% 1. Redistributions of source code must retain the above copyright notice,
%    this list of conditions and the following disclaimer.
% 
% 2. Redistributions in binary form must reproduce the above copyright notice,
%    this list of conditions and the following disclaimer in the documentation
%    and/or other materials provided with the distribution.

% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
% ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
% WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
% IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
% INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
% BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
% DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
% LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
% OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
% ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
% -----------------------------------------------------------------------------------
%% exec_Final ŏIs֐
%%
function exec_Final
try
    hndr_axes = evalin('base', 'gca0');
catch
    hndr_axes = findobj(evalin('base', 'gcf0'),'Tag', 'axis1');
end
set(evalin('base', 'gcf0'), 'CurrentAxes', hndr_axes);
try
    delete(evalin('base', 'hndr_Graph'));        % AjIuWFNg̃NA
end
evalin('base', 'clear hndr_Graph hndr_fr hndr_tnk1 hndr_tnk2');              % Ajnh̃NA
evalin('base', 'clear gca1_y gca2_y gca3_y gca4_y gca5_y');   % OtỸNA
evalin('base', 'clear grTime');                 % OtX̃NA

cla;
evalin('base', 'system_state=1;');
% ~~bN}`
draw_mimic(1);
%draw_tank(1,1);
% ̏͋[
%%%%%
evalin('base', 'startup=0;');
evalin('base', 'mitigate1=0;');
evalin('base', 'mitigate2=0;');
evalin('base', 'mitigateM=0;');
%%%%%
evalin('base', 'emergency=0;');
evalin('base', 'LevelBias=0;');
evalin('base', 'Tank1OutArea=1;');
evalin('base', 'SV2PosDemand=1;');
evalin('base', 'pipeArea=1;');
evalin('base', 'EV1PosDemand=1;');
evalin('base', 'AlertFactor=1;');
evalin('base', 'AlarmFactor=1;');
evalin('base', 'EV1openFlag=0;');
clear global fsState;

global buttonHandler;
set(buttonHandler.simStart, 'Enable', 'on');
set(buttonHandler.simPause, 'Enable', 'off');
set(buttonHandler.simRestart, 'Enable', 'off');
set(buttonHandler.simStop, 'Enable', 'off');
set(buttonHandler.start, 'Enable', 'off');
set(buttonHandler.stop, 'Enable', 'off');
%set(buttonHandler.Mitigation, 'Enable', 'off');
set(buttonHandler.Emergency, 'Enable', 'off');
set(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox1'), 'Value', 0, 'Enable', 'off');
set(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox2'), 'Value', 0, 'Enable', 'off');
set(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox3'), 'Value', 0, 'Enable', 'off');
set(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox4'), 'Value', 0, 'Enable', 'off');
set(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox5'), 'Value', 0, 'Enable', 'off');
set(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox6'), 'Value', 0, 'Enable', 'off');
set(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox7'), 'Value', 0, 'Enable', 'off');
set(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox8'), 'Value', 0, 'Enable', 'off');
end


