% -----------------------------------------------------------------------------------
% Copyright (c) <2016>, <Information-technology Promotion Agency, Japan>
% All rights reserved.
% 
% Redistribution and use in source and binary forms, with or without modification,
% are permitted provided that the following conditions are met:
% 
% 1. Redistributions of source code must retain the above copyright notice,
%    this list of conditions and the following disclaimer.
% 
% 2. Redistributions in binary form must reproduce the above copyright notice,
%    this list of conditions and the following disclaimer in the documentation
%    and/or other materials provided with the distribution.

% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
% ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
% WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
% IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
% INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
% BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
% DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
% LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
% OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
% ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
% -----------------------------------------------------------------------------------
function varargout = model_test1(varargin)
% MODEL_TEST1 M-file for model_test1.fig
%      MODEL_TEST1, by itself, creates a new MODEL_TEST1 or raises the existing
%      singleton*.
%
%      H = MODEL_TEST1 returns the handle to a new MODEL_TEST1 or the handle to
%      the existing singleton*.
%
%      MODEL_TEST1('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in MODEL_TEST1.M with the given input arguments.
%
%      MODEL_TEST1('Property','Value',...) creates a new MODEL_TEST1 or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before model_test1_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to model_test1_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help model_test1

% Last Modified by GUIDE v2.5 30-Oct-2014 11:02:10

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @model_test1_OpeningFcn, ...
    'gui_OutputFcn',  @model_test1_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before model_test1 is made visible.
function model_test1_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to model_test1 (see VARARGIN)

% Choose default command line output for model_test1
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);
bdclose all;
open_system('test_model1');
%%%%%
evalin('base', 'gca0=gca;');
evalin('base', 'gcf0=gcf;');
set(gca,'XLim',[0 210],'YLim',[0 185]);    % `̍WmmPʂɂ
%set(gca,'XLim',[0 100],'YLim',[0 100]);
set(gca,'XTick',[],'YTick',[],'XTickLabel',[],'YTickLabel',[])
set(gca,'Box','off','XColor',[0.753 0.753 0.753],'YColor',[0.753 0.753 0.753]);
set(gca,'Color',[1 1 0.941]);
hold on

% `̏
global buttonHandler;
buttonHandler.simStart      = findobj(evalin('base', 'gcf0'), 'Tag', 'button_simStart');
buttonHandler.simPause      = findobj(evalin('base', 'gcf0'), 'Tag', 'button_simPause');
buttonHandler.simRestart    = findobj(evalin('base', 'gcf0'), 'Tag', 'button_simRestart');
buttonHandler.simStop       = findobj(evalin('base', 'gcf0'), 'Tag', 'button_simStop');
buttonHandler.start         = findobj(evalin('base', 'gcf0'), 'Tag', 'button_Start');
buttonHandler.stop          = findobj(evalin('base', 'gcf0'), 'Tag', 'button_Stop');
buttonHandler.Mitigation    = findobj(evalin('base', 'gcf0'), 'Tag', 'button_Mitigation');
buttonHandler.Emergency     = findobj(evalin('base', 'gcf0'), 'Tag', 'button_Emergency');
exec_Final();

% UIWAIT makes model_test1 wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = model_test1_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;

% --- Executes on button press in button_simStart.
function button_simStart_Callback(hObject, eventdata, handles)
% hObject    handle to button_simStart (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% test_model1.mdl V~[VJn  2014/8/11
exec_First();
set_param(bdroot,'SimulationCommand','start');



% --- Executes on button press in button_simPause.
function button_simPause_Callback(hObject, eventdata, handles)
% hObject    handle to button_simPause (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% test_model1.mdl V~[Vꎞ~  2014/8/11
global buttonHandler;
set(buttonHandler.simStart, 'Enable', 'off');
set(buttonHandler.simPause, 'Enable', 'off');
set(buttonHandler.simRestart, 'Enable', 'on');
set(buttonHandler.simStop, 'Enable', 'on');
set_param(bdroot,'SimulationCommand','pause');



% --- Executes on button press in button_simRestart.
function button_simRestart_Callback(hObject, eventdata, handles)
% hObject    handle to button_simRestart (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% test_model1.mdl V~[VĊJ  2014/8/11
global buttonHandler;
set(buttonHandler.simStart, 'Enable', 'off');
set(buttonHandler.simPause, 'Enable', 'on');
set(buttonHandler.simRestart, 'Enable', 'off');
set(buttonHandler.simStop, 'Enable', 'on');
set_param(bdroot,'SimulationCommand','continue');


% --- Executes on button press in button_simStop.
function button_simStop_Callback(hObject, eventdata, handles)
% hObject    handle to button_simStop (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% test_model1.mdl V~[V~  2014/8/11
exec_Final();
set_param(bdroot,'SimulationCommand','stop');


% --- Executes on button press in radiobutton1.
function radiobutton1_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton1

% O[vEWI{^̏ꍇ͕sv    2014/7/3
%set(hObject,'Value',1);
set(findobj(evalin('base', 'gcf0'),'tag','radiobutton2'),'Value',0);
%set(findobj(evalin('base', 'gcf0'),'Tag','axes1'),'Color',[1 1 0.941]);
set(gca,'Color',[1 1 0.941]);
system_state=1;
assignin('base', 'system_state',1);
%draw_mimic(system_state);
draw_tank(1,system_state);

% --- Executes on button press in radiobutton2.
function radiobutton2_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton2

% O[vEWI{^̏ꍇ͕sv    2014/7/3
%set(hObject,'Value',1);
set(findobj(evalin('base', 'gcf0'),'tag','radiobutton1'),'Value',0);
%set(findobj(evalin('base', 'gcf0'),'Tag','axes1'),'Color',[0.941 1 0.941]);
set(gca,'Color',[0.941 1 0.941]);
system_state=2;
assignin('base', 'system_state',2);
%draw_mimic(system_state);
draw_tank(1,system_state);


% --- Executes on button press in button_Start.
function button_Start_Callback(hObject, eventdata, handles)
% hObject    handle to button_Start (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% fEvgN  2014/8/17
global buttonHandler;
assignin('base', 'startup',1);
set(buttonHandler.start, 'Enable', 'off');
set(buttonHandler.stop, 'Enable', 'on');
%set(buttonHandler.Mitigation, 'Enable', 'on');
set(buttonHandler.Emergency, 'Enable', 'on');
set_param(bdroot,'SimulationCommand','update');


% --- Executes on button press in button_Stop.
function button_Stop_Callback(hObject, eventdata, handles)
% hObject    handle to button_Stop (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% fEvg~  2014/8/17
global buttonHandler;
assignin('base', 'startup',0);
set(buttonHandler.start, 'Enable', 'on');
set(buttonHandler.stop, 'Enable', 'off');
%set(buttonHandler.Mitigation, 'Enable', 'on');
set(buttonHandler.Emergency, 'Enable', 'on');
set_param(bdroot,'SimulationCommand','update');


% --- Executes on button press in button_Mitigation.
function button_Mitigation_Callback(hObject, eventdata, handles)
% hObject    handle to button_Mitigation (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% fEvgɘa[h1  2014/8/17
try
    mitigateM = evalin('base', 'mitigateM');
catch
    mitigateM = 0;
end
if mitigateM == 0
    assignin('base', 'mitigateM',1);
    set_param(bdroot,'SimulationCommand','update');
end



% --- Executes on button press in button_Refresh.
function pushbutton8_Callback(hObject, eventdata, handles)
% hObject    handle to button_Refresh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global fsState;
switch evalin('base', 'system_state');
    case 2
        if ~isfield(fsState,'LevelBias_state')
            fsState.LevelBias_state = -1;
            set(findobj(evalin('base', 'gcf0'),'Tag', 'pushbutton8'), 'Enable', 'off', 'BackgroundColor', 'g');
            set_param(bdroot,'SimulationCommand','update');
        end
    case 3
        assignin('base', 'Tank1OutArea' ,0);
        set(findobj(evalin('base', 'gcf0'),'Tag', 'pushbutton8'), 'Enable', 'off', 'BackgroundColor', 'g');
        set_param(bdroot,'SimulationCommand','update');
    case 4
        if ~isfield(fsState,'SV2PosDemand_state')
            fsState.SV2PosDemand_state = -1;
            set(findobj(evalin('base', 'gcf0'),'Tag', 'pushbutton8'), 'Enable', 'off', 'BackgroundColor', 'g');
            set_param(bdroot,'SimulationCommand','update');
        end
    case 5
        assignin('base', 'pipeArea' ,0);
        set(findobj(evalin('base', 'gcf0'),'Tag', 'pushbutton8'), 'Enable', 'off', 'BackgroundColor', 'g');
        set_param(bdroot,'SimulationCommand','update');
    otherwise
end

% --- Executes on button press in button_Refresh.
function button_Refresh_Callback(hObject, eventdata, handles)
% hObject    handle to button_Refresh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
upflag = 0;
global fsState;
if get(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox1'), 'Value') == 1
    if ~isfield(fsState,'LevelBias_state')
        fsState.LevelBias_state = -1;
        upflag = 1;
    end
else
    if isfield(fsState,'LevelBias_state')
        fsState = rmfield(fsState, 'LevelBias_state');
        assignin('base', 'LevelBias' ,0);
%         upflag = 1;
    end
end
if get(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox2'), 'Value') == 1
    if evalin('base', 'Tank1OutArea') ~= 0
        assignin('base', 'Tank1OutArea' ,0);
%         upflag = 1;
    end
else
    if evalin('base', 'Tank1OutArea') ~= 1
        assignin('base', 'Tank1OutArea' ,1);
%         upflag = 1;
    end
end
if get(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox3'), 'Value') == 1
    if ~isfield(fsState,'SV2PosDemand_state')
        fsState.SV2PosDemand_state = -1;
        upflag = 1;
    end
else
    if isfield(fsState,'SV2PosDemand_state')
        fsState = rmfield(fsState, 'SV2PosDemand_state');
        assignin('base', 'SV2PosDemand' ,1);
%         upflag = 1;
    end
end
if get(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox4'), 'Value') == 1
    if evalin('base', 'pipeArea') ~= 0
        assignin('base', 'pipeArea' ,0);
%         upflag = 1;
    end
else
    if evalin('base', 'pipeArea') ~= 1
        assignin('base', 'pipeArea' ,1);
%         upflag = 1;
    end
end
if get(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox5'), 'Value') == 1
    if evalin('base', 'EV1PosDemand') ~= 0
        assignin('base', 'EV1PosDemand' ,0);
%         upflag = 1;
    end
else
    if evalin('base', 'EV1PosDemand') ~= 1
        assignin('base', 'EV1PosDemand' ,1);
%         upflag = 1;
    end
end
if get(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox6'), 'Value') == 1
    if evalin('base', 'AlertFactor') ~= 2
        assignin('base', 'AlertFactor' ,2);
%         upflag = 1;
    end
else
    if evalin('base', 'AlertFactor') ~= 1
        assignin('base', 'AlertFactor' ,1);
%         upflag = 1;
    end
end
if get(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox7'), 'Value') == 1
    if evalin('base', 'AlarmFactor') ~= 2
        assignin('base', 'AlarmFactor' ,2);
%         upflag = 1;
    end
else
    if evalin('base', 'AlarmFactor') ~= 1
        assignin('base', 'AlarmFactor' ,1);
%         upflag = 1;
    end
end
if get(findobj(evalin('base', 'gcf0'),'Tag', 'checkbox8'), 'Value') == 1
    if evalin('base', 'designError') ~= 1
        assignin('base', 'designError' ,1);
%         upflag = 1;
    end
else
    if evalin('base', 'designError') ~= 0
        assignin('base', 'designError' ,0);
%         upflag = 1;
    end
end
% if upflag
    set_param(bdroot,'SimulationCommand','update');
% end

% --- Executes on button press in button_Emergency.
function button_Emergency_Callback(hObject, eventdata, handles)
% hObject    handle to button_Emergency (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% ً}~XCb`  2014/8/28
global buttonHandler;
assignin('base', 'startup',0);
assignin('base', 'mitigate1',0);
assignin('base', 'mitigate2',0);
assignin('base', 'mitigateM',0);
assignin('base', 'emergency',1);
set(buttonHandler.start, 'Enable', 'off');
set(buttonHandler.stop, 'Enable', 'off');
%set(buttonHandler.Mitigation, 'Enable', 'off');
set(buttonHandler.Emergency, 'Enable', 'off');
set_param(bdroot,'SimulationCommand','update');

% --- Executes on selection change in popupmenu1.
function popupmenu1_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popupmenu1 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popupmenu1
str = get(hObject, 'String');
val = get(hObject, 'Value');
assignin('base', 'system_state', val);
switch str{val};
    case 'ُȂ'
        set(findobj(evalin('base', 'gcf0'),'Tag', 'pushbutton8'), 'Enable', 'off');
    case 'ʌvoCAX'
        set(findobj(evalin('base', 'gcf0'),'Tag', 'pushbutton8'), 'Enable', 'on');
    case 'roǂ܂'
        set(findobj(evalin('base', 'gcf0'),'Tag', 'pushbutton8'), 'Enable', 'on');
    case 'SV2̏'
        set(findobj(evalin('base', 'gcf0'),'Tag', 'pushbutton8'), 'Enable', 'on');
    case 'zǂ܂'
        set(findobj(evalin('base', 'gcf0'),'Tag', 'pushbutton8'), 'Enable', 'on');
    otherwise
        set(findobj(evalin('base', 'gcf0'),'Tag', 'pushbutton8'), 'Enable', 'off');
end


% --- Executes when figure1 is resized.
function figure1_ResizeFcn(hObject, eventdata, handles)
% hObject    handle to figure1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
